io.vertx.db2client.spi

## Class DB2Driver

- java.lang.Object
- - io.vertx.db2client.spi.DB2Driver

- All Implemented Interfaces:
    Driver

      public class DB2Driver
      extends Object
      implements Driver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DB2Driver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `acceptsOptions(SqlConnectOptions options)`
    `DB2Pool` | `createClient(Vertx vertx, List<? extends SqlConnectOptions> servers, PoolOptions options)`
    `ConnectionFactory` | `createConnectionFactory(Vertx vertx, SqlConnectOptions database)` Create a connection factory to the given `database`.
    `DB2Pool` | `createPool(Vertx vertx, List<? extends SqlConnectOptions> databases, PoolOptions options)` Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DB2Driver

          public DB2Driver()

  - ### Method Detail

    - #### createPool

          public DB2Pool createPool(Vertx vertx,
                                    List<? extends SqlConnectOptions> databases,
                                    PoolOptions options)

      Description copied from interface: `Driver`
      Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.
      Specified by:
        `createPool` in interface `Driver`
      Parameters:
        `vertx` - the Vertx instance to be used with the connection pool
        `databases` - the list of databases
        `options` - the options for creating the pool
      Returns:
        the connection pool

    - #### createClient

          public DB2Pool createClient(Vertx vertx,
                                      List<? extends SqlConnectOptions> servers,
                                      PoolOptions options)

    - #### acceptsOptions

          public boolean acceptsOptions(SqlConnectOptions options)

      Specified by:
        `acceptsOptions` in interface `Driver`
      Returns:
        true if the driver accepts the `connectOptions`, false otherwise

    - #### createConnectionFactory

          public ConnectionFactory createConnectionFactory(Vertx vertx,
                                                           SqlConnectOptions database)

      Description copied from interface: `Driver`
      Create a connection factory to the given `database`.
      Specified by:
        `createConnectionFactory` in interface `Driver`
      Parameters:
        `vertx` - the Vertx instance t
        `database` - the database to connect to
      Returns:
        the connection factory

Copyright © 2021 Eclipse. All rights reserved.